QGIS Application - Bug report #16295
DB Manager: error importing data into GPKG connections
2017-03-06 08:11 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Even Rouault

Category: DB Manager

Affected QGIS version:2.18.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 24205
Description

The same type of errors shows regardless the input datasource and regardless the operation is done by D&D or by using the "import
layer/file" dialog:

Error 3

creation of layer failed (OGR error:Failed to open Shapefile ‘dbname="/home/giovanni/Desktop/azo.gpkg' key='gid' table="fp" (geom)
sqgl=.shp'".

)

| respectfully tag this as "severe" as a functionality (the support for GPKG connections in DB Manager) that since implemented has never
worked the proper way.

See also #14981

History

#1 - 2017-04-25 12:33 AM - Even Rouault
- Resolution set to fixed/implemented

- Assignee set to Even Rouault

- Status changed from Open to Closed

Fixed in 2.18 per commit:c851db3 and master per commit:965350b

#2 - 2017-04-25 02:48 AM - Giovanni Manghi

Much appreciated! thanks!
